import Confirmation from "../components/top-level/confirmation";
import { useNavigate } from "react-router-dom";
import { useAppContext } from "../_context";
import { useEffect, useState } from "react";

export function _Confirmation() {
  const { GetSeatById } = useAppContext();
  const [count, setCount] = useState(0);
  const [reservedseat, setReservedSeat] = useState([]);
  const navigate = useNavigate();
  useEffect(() => {
    getSeatById();
  }, []);

  const getSeatById = async () => {
    const id = sessionStorage.getItem("userId");
    const userReservedSeat = await GetSeatById(id);
    setCount(userReservedSeat?.seats?.length);
    setReservedSeat(userReservedSeat.seats);
  };

  const handleModify = (e) => {
    e.preventDefault();
    sessionStorage.setItem("currentPath", "/booking");
    navigate("/booking");
  };

  return (
    <Confirmation
      seatCount={count}
      seats={reservedseat}
      onEdit={handleModify}
    />
  );
}
